networks:
  vpn:
    external: true

services:
  nextcloud_hpb:
    image: ghcr.io/nextcloud-releases/aio-talk:latest
    container_name: nextcloud_hpb
    restart: unless-stopped
    init: true
    ports:
      - PORT1:3478/tcp
      - PORT1:3478/udp
      - PORT2:8081/tcp
    environment:
      - NC_DOMAIN=NEXTCLOUDDOMAINHERE
      - TALK_HOST=DOMAINSUBNAMEHERE
      - TURN_SECRET=SECRET1HERE
      - SIGNALING_SECRET=SECRET2HERE
      - TZ=TIMEZONEHERE
      - TALK_PORT=PORT2
      - INTERNAL_SECRET=SECRET3HERE
      - REDIS_HOST=nextcloud_hpb_redis
      - REDIS_PORT=PORT3
    volumes:
      - ./data:/data
    networks:
      vpn:
        ipv4_address: IPADDRESSHERE
  nextcloud_hpb_redis:
    image: redis:alpine
    container_name: nextcloud_hpb_redis
    restart: always
    ports:
      - "PORT3:6379"
    networks:
      vpn:
        ipv4_address: 10.100.0.137